package com.twitter.finagle.http

object Fields {
  // These constants have the final modifier so they can be referenced in Java's annotation.
  final val Accept = "Accept"
  final val AcceptCharset = "Accept-Charset"
  final val AcceptEncoding = "Accept-Encoding"
  final val AcceptLanguage = "Accept-Language"
  final val AcceptRanges = "Accept-Ranges"
  final val AcceptPatch = "Accept-Patch"
  final val AccessControlAllowCredentials = "Access-Control-Allow-Credentials"
  final val AccessControlAllowHeaders = "Access-Control-Allow-Headers"
  final val AccessControlAllowMethods = "Access-Control-Allow-Methods"
  final val AccessControlAllowOrigin = "Access-Control-Allow-Origin"
  final val AccessControlExposeHeaders = "Access-Control-Expose-Headers"
  final val AccessControlMaxAge = "Access-Control-Max-Age"
  final val AccessControlRequestHeaders = "Access-Control-Request-Headers"
  final val AccessControlRequestMethod = "Access-Control-Request-Method"
  final val Age = "Age"
  final val Allow = "Allow"
  final val Authorization = "Authorization"
  final val CacheControl = "Cache-Control"
  final val Connection = "Connection"
  final val ContentBase = "Content-Base"
  final val ContentDisposition = "Content-Disposition"
  final val ContentEncoding = "Content-Encoding"
  final val ContentLanguage = "Content-Language"
  final val ContentLength = "Content-Length"
  final val ContentLocation = "Content-Location"
  final val ContentTransferEncoding = "Content-Transfer-Encoding"
  final val ContentMd5 = "Content-Md5"
  final val ContentRange = "Content-Range"
  final val ContentType = "Content-Type"
  final val Cookie = "Cookie"
  final val Date = "Date"
  final val Etag = "Etag"
  final val Expect = "Expect"
  final val Expires = "Expires"
  final val From = "From"
  final val Host = "Host"
  final val IfMatch = "If-Match"
  final val IfModifiedSince = "If-Modified-Since"
  final val IfNoneMatch = "If-None-Match"
  final val IfRange = "If-Range"
  final val IfUnmodifiedSince = "If-Unmodified-Since"
  final val LastModified = "Last-Modified"
  final val Location = "Location"
  final val MaxForwards = "Max-Forwards"
  final val Origin = "Origin"
  final val Pragma = "Pragma"
  final val ProxyAuthenticate = "Proxy-Authenticate"
  final val ProxyAuthorization = "Proxy-Authorization"
  final val Range = "Range"
  final val Referer = "Referer"
  final val RetryAfter = "Retry-After"
  final val SecWebsocketKey1 = "Sec-WebSocket-Key1"
  final val SecWebsocketKey2 = "Sec-WebSocket-Key2"
  final val SecWebsocketLocation = "Sec-WebSocket-Location"
  final val SecWebsocketOrigin = "Sec-WebSocket-Origin"
  final val SecWebsocketProtocol = "Sec-WebSocket-Protocol"
  final val SecWebsocketVersion = "Sec-WebSocket-Version"
  final val SecWebsocketKey = "Sec-WebSocket-Key"
  final val SecWebsocketAccept = "Sec-WebSocket-Accept"
  final val Server = "Server"
  final val SetCookie = "Set-Cookie"
  final val SetCookie2 = "Set-Cookie2"
  final val Te = "Te"
  final val TimingAllowOrigin = "Timing-Allow-Origin"
  final val Trailer = "Trailer"
  final val TransferEncoding = "Transfer-Encoding"
  final val Upgrade = "Upgrade"
  final val UserAgent = "User-Agent"
  final val Vary = "Vary"
  final val Via = "Via"
  final val Warning = "Warning"
  final val WebsocketLocation = "WebSocket-Location"
  final val WebsocketOrigin = "WebSocket-Origin"
  final val WebsocketProtocol = "WebSocket-Protocol"
  final val WwwAuthenticate = "Www-Authenticate"
}
